petsc-3.4.2 2013-07-02

# MatShift

Computes Y = Y + a I, where a is a PetscScalar and I is the identity matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatShift(Mat Y,PetscScalar a)

Neighbor-wise Collective on Mat

### Input Parameters

| Y | - the matrices
| a | - the PetscScalar

### Keywords

matrix, add, shift

### See Also

MatDiagonalSet()

Level:intermediate
Location:src/mat/utils/axpy.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex9.c.html
src/ksp/ksp/examples/tutorials/ex40.c.html